JavaScript/jQuery Chart - Access a Series Using the API

The Chart exposes the following methods for accessing a series. All of them return one or several objects whose fields and methods are described in the Series section of the API reference.

  • getAllSeries()
    Gets all series of the Chart.

    JavaScript
    • var seriesCollection = $("#chartContainer").dxChart("getAllSeries");
  • getSeriesByName(seriesName)
    Gets a series by its name.

    JavaScript
    • var series = $("#chartContainer").dxChart("getSeriesByName", "Series 1");
  • getSeriesByPos(seriesIndex)
    Gets a series by its index in the series array. The index is zero-based.

    JavaScript
    • var series = $("#chartContainer").dxChart("getSeriesByPos", 0);

Apart from the API methods, you can access a series in the event handlers. For example, the onSeriesClick event handler gets the clicked series in the argument.

JavaScript
  • $(function() {
  • $("#chartContainer").dxChart({
  • // ...
  • onSeriesClick: function (e) {
  • var series = e.target;
  • // ...
  • }
  • });
  • });

Once you get the series, you can access its child points. For further information, refer to the Access a Series Point Using the API topic.

See Also

React Chart - Access a Series Using the API

The Chart exposes the following methods for accessing a series. All of them return one or several objects whose fields and methods are described in the Series section of the API reference.

  • getAllSeries()
    Gets all series of the Chart.

    App.js
    • import React from 'react';
    • import Chart from 'devextreme-react/chart';
    •  
    • class App extends React.Component {
    • constructor(props) {
    • super(props);
    • this.chartRef = React.createRef();
    • }
    • render() {
    • return (
    • <Chart ref={this.chartRef}></Chart>
    • );
    • }
    • get chart() {
    • return this.chartRef.current.instance();
    • }
    • getAllSeries () {
    • return this.chart.getAllSeries();
    • }
    • }
    •  
    • export default App;
  • getSeriesByName(seriesName)
    Gets a series by its name.

    App.js
    • import React from 'react';
    • import Chart from 'devextreme-react/chart';
    •  
    • class App extends React.Component {
    • constructor(props) {
    • super(props);
    • this.chartRef = React.createRef();
    • }
    • render() {
    • return (
    • <Chart ref={this.chartRef}></Chart>
    • );
    • }
    • get chart() {
    • return this.chartRef.current.instance();
    • }
    • getSeriesByName (seriesName) {
    • return this.chart.getSeriesByName(seriesName);
    • }
    • }
    •  
    • export default App;
  • getSeriesByPos(seriesIndex)
    Gets a series by its index in the series array. The index is zero-based.

    App.js
    • import React from 'react';
    • import Chart from 'devextreme-react/chart';
    •  
    • class App extends React.Component {
    • constructor(props) {
    • super(props);
    • this.chartRef = React.createRef();
    • }
    • render() {
    • return (
    • <Chart ref={this.chartRef}></Chart>
    • );
    • }
    • get chart() {
    • return this.chartRef.current.instance();
    • }
    • getSeriesByPos(seriesIndex) {
    • return this.chart.getSeriesByPos(seriesIndex);
    • }
    • }
    •  
    • export default App;

Apart from the API methods, you can access a series in the event handlers. For example, the onSeriesClick event handler gets the clicked series in the argument.

App.js
  • import React from 'react';
  • import Chart from 'devextreme-react/chart';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Chart onSeriesClick={onSeriesClick}>
  • </Chart>
  • );
  • }
  • }
  •  
  • function onSeriesClick (e) {
  • const series = e.target;
  • // ...
  • }
  •  
  • export default App;

Once you get the series, you can access its child points. For further information, refer to the Access a Series Point Using the API topic.

See Also

Angular Chart - Access a Series Using the API

The Chart exposes the following methods for accessing a series. All of them return one or several objects whose fields and methods are described in the Series section of the API reference.

  • getAllSeries()
    Gets all series of the Chart.

    TypeScript
    • import { ..., ViewChild } from "@angular/core";
    • import { DxChartModule, DxChartComponent } from "devextreme-angular";
    • // ...
    • export class AppComponent {
    • @ViewChild(DxChartComponent, { static: false }) chart: DxChartComponent;
    • // Prior to Angular 8
    • // @ViewChild(DxChartComponent) chart: DxChartComponent;
    • getAllSeries() {
    • return this.chart.instance.getAllSeries();
    • }
    • }
    • @NgModule({
    • imports: [
    • // ...
    • DxChartModule
    • ],
    • // ...
    • })
  • getSeriesByName(seriesName)
    Gets a series by its name.

    TypeScript
    • import { ..., ViewChild } from "@angular/core";
    • import { DxChartModule, DxChartComponent } from "devextreme-angular";
    • // ...
    • export class AppComponent {
    • @ViewChild(DxChartComponent, { static: false }) chart: DxChartComponent;
    • // Prior to Angular 8
    • // @ViewChild(DxChartComponent) chart: DxChartComponent;
    • getSeriesByName(seriesName) {
    • return this.chart.instance.getSeriesByName(seriesName);
    • }
    • }
    • @NgModule({
    • imports: [
    • // ...
    • DxChartModule
    • ],
    • // ...
    • })
  • getSeriesByPos(seriesIndex)
    Gets a series by its index in the series array. The index is zero-based.

    TypeScript
    • import { ..., ViewChild } from "@angular/core";
    • import { DxChartModule, DxChartComponent } from "devextreme-angular";
    • // ...
    • export class AppComponent {
    • @ViewChild(DxChartComponent, { static: false }) chart: DxChartComponent;
    • // Prior to Angular 8
    • // @ViewChild(DxChartComponent) chart: DxChartComponent;
    • getSeriesByPos(seriesIndex) {
    • return this.chart.instance.getSeriesByPos(seriesIndex);
    • }
    • }
    • @NgModule({
    • imports: [
    • // ...
    • DxChartModule
    • ],
    • // ...
    • })

Apart from the API methods, you can access a series in the event handlers. For example, the onSeriesClick event handler gets the clicked series in the argument.

HTML
TypeScript
  • <dx-chart
  • (onSeriesClick)="onSeriesClick($event)">
  • </dx-chart>
  • import { DxChartModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • onSeriesClick (e) {
  • let series = e.target;
  • // ...
  • };
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxChartModule
  • ],
  • // ...
  • })

Once you get the series, you can access its child points. For further information, refer to the Access a Series Point Using the API topic.

See Also